var path = require('path');
var fs = require('fs');
var webpack = require('webpack');
var PACKAGE = require('./package');
var ngAnnotatePlugin = require('ng-annotate-webpack-plugin');
var HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
    // set our entry point to the main file in our package.json
    entry: path.resolve(__dirname, PACKAGE.main),
    // set our output directory, filename and source maps
    output: {
        path: path.resolve(__dirname, 'build'),
        filename: [PACKAGE.name, PACKAGE.version, 'js'].join('.'),
    },
    plugins: [
        new ngAnnotatePlugin({}),
        new webpack.ProvidePlugin({
            '_' : 'lodash',
            '$' : 'jquery'
        }),
    ],
    module: {
        loaders: [
            {
                test: /\.html$/,
                loader: 'html'
            },
            {
                test: /\.scss$/,
                loader: "style!css!autoprefixer!sass"
            },
            {
                test: /\.css$/,
                loader: "style!css!autoprefixer"
            },
            { 
                test: /\.(png|woff|woff2|eot|ttf|gif|swf|svg)(\?)?$/, 
                loader: 'file?name=assets/[name].[ext]'
            },
        ],
        noParse: [
            'angular',
            'lodash',
            'jquery'
        ]
    }
}
